Package org.apache.sling.discovery.oak.cluster

## Class InstanceReadResult

- java.lang.Object
- - org.apache.sling.discovery.oak.cluster.InstanceReadResult

    public class InstanceReadResult
    extends Object

Contains the outcome of reading an InstanceInfo

### Constructor Summary

Constructors
`InstanceReadResult​(InstanceInfo instanceOrNull, String errorMsgOrNull)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static InstanceReadResult` `fromErrorMsg​(String errorMsg)`
`static InstanceReadResult` `fromInstance​(InstanceInfo instance)`
`String` `getErrorMsg()`
`InstanceInfo` `getInstanceInfo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InstanceReadResult

    public InstanceReadResult​(InstanceInfo instanceOrNull,
                              String errorMsgOrNull)

### Method Detail

#### fromErrorMsg

    public static InstanceReadResult fromErrorMsg​(String errorMsg)

#### fromInstance

    public static InstanceReadResult fromInstance​(InstanceInfo instance)

#### getInstanceInfo

    public InstanceInfo getInstanceInfo()

#### getErrorMsg

    public String getErrorMsg()